simulate_crash_win.h File Reference
`#include <windows.h>`
`#include "client/crashpad_client.h"`
`#include "util/misc/capture_context.h"`

## Macros

#define | CRASHPAD_SIMULATE_CRASH()
| Captures the CPU context and captures a dump without an exception. More...

## Macro Definition Documentation

## CRASHPAD_SIMULATE_CRASH

#define CRASHPAD_SIMULATE_CRASH | ( |  | ) |

Value:
do { \
/* Not "context" to avoid variable shadowing warnings. */ \
CONTEXT simulate_crash_cpu_context; \
crashpad::CaptureContext(&simulate_crash_cpu_context); \
crashpad::CrashpadClient::DumpWithoutCrash(simulate_crash_cpu_context); \
} while (false)
crashpad::CrashpadClient::DumpWithoutCrash
static void DumpWithoutCrash(NativeCPUContext *context)
Requests that the handler capture a dump even though there hasn&#39;t been a crash.
Definition: crashpad_client_linux.cc:208

Captures the CPU context and captures a dump without an exception.